#!/usr/bin/env python
'''Expander

GtkExpander allows to provide additional content that is initially hidden.
This is also known as "disclosure triangle".
'''
# pygtk version: Maik Hertha <maik.hertha@berlin.de>

import pygtk_git
pygtk_git.require('2.0')
import gtk_git

class ExpanderDemo(gtk_git.Dialog):

    def __init__(self, parent=None):
        gtk_git.Dialog.__init__(self, self.__class__.__name__, parent,
            0,
            (gtk_git.STOCK_CLOSE, gtk_git.RESPONSE_NONE))
        try:
            self.set_screen(parent.get_screen())
        except AttributeError:
            self.connect('destroy', lambda *w: gtk_git.main_quit())
        self.connect("response", lambda d, r: d.destroy())
        self.set_resizable(False)

        vbox = gtk_git.VBox(False, 5)
        self.vbox.pack_start(vbox, True, True, 0)
        vbox.set_border_width(5)

        label = gtk_git.Label()
        label.set_markup("Expander demo. Click on the triangle for details.")
        vbox.pack_start(label, False, False, 0)

        # Create the expander
        expander = gtk_git.Expander("Details")
        vbox.pack_start(expander, False, False, 0)

        # The Label for the expander
        label = gtk_git.Label("Details can be shown or hidden.")
        expander.add(label)

        self.show_all()

def main():
    ExpanderDemo()
    gtk_git.main()

if __name__ == '__main__':
    main()
